# k3s playbook

## Introduction

This is the top level playbook for the 'k3s' role and will install a k3s
cluster to three or more target hosts.

This playbook requires at least three target hosts, previously deployed. Each
host should have at least 4GB of RAM and at least a 20GB disk.

It is also assumed that the user running the playbook has SSH key access
set up for the root user on the target hosts.

NOTE: If you are installing in a proxied environment, make sure that you
      have either 'HTTP_PROXY' or 'HTTPS_PROXY' (case is not important)
      defined in your env variables (usually via ~/.bashrc). In addition
      to that, you also need to have 'NO_PROXY' (again, case is not
      important) also defined. This is where the k3s installer will
      retrieve the relevant proxy configuration values.

This playbook can be run using the following command line;

    ansible-playbook -i <inventory file> -e "username=<username>" k3s.yml

    ie,
    ansible-playbook -i k3s_inventory.yml -e "username=someuser" k3s.yml

